// CFTTChartboost - [2020-04-13 11:57:46]
#ifndef _CFTTCHARTBOOST_H_
#define _CFTTCHARTBOOST_H_

#include "common.h"

/*
001F8728 CFTTChartboost::Init()
001F8740 CFTTChartboost::CompleteVideoSetup()
001F8750 CFTTChartboost::IsInitialised()
001F8754 CFTTChartboost::Show(bool,int)
001F8758 CFTTChartboost::IsDisplayed(bool)
001F8764 CFTTChartboost::IsAvailable(bool,int,bool)
001F8784 CFTTChartboost::IsCachingVideo()
001F8788 CFTTChartboost::Shutdown()

CFTTAndroidChartboost -> CFTTChartboost
*/

class CFTTChartboost {
public:
  void Init();                        // 001F8728
  void CompleteVideoSetup();          // 001F8740
  void IsInitialised();               // 001F8750
  void Show(bool, int);               // 001F8754
  void IsDisplayed(bool);             // 001F8758
  void IsAvailable(bool, int, bool);  // 001F8764
  void IsCachingVideo();              // 001F8784
  void Shutdown();                    // 001F8788
};

#endif  //_CFTTCHARTBOOST_H_